# ApiCommandStepProcess Data Model

Provides detailed information about a process executed by a command step.

Properties
name | data type | description
--- | --- | ---
name | string | Name of the command step process.
id | number | Id of the command step process.
program | string | The executed program command.
args | string | JSON-encoded list of program arguments.
stdout | string | Last lines of the executed program's standard output.
stderr | string | Last lines of the executed program's standard error.
exitCode | number | The executed program's exit code.

Example

    {
      "name" : "...",
      "id" : 12345,
      "program" : "...",
      "args" : "...",
      "stdout" : "...",
      "stderr" : "...",
      "exitCode" : 12345
    }